Dependencies for xmobar-0.37

library
xmobar

Flags

NameDescriptionDefaultType
with_xft

Use Xft to render text. UTF-8 support included.

DisabledAutomatic
with_utf8

With UTF-8 support.

EnabledAutomatic
with_inotify

inotify support (modern Linux only). Required for the Mail and MBox plugins.

DisabledAutomatic
with_iwlib

Wireless info support via Wext ioctls (deprecated). Required for the Wireless plugin, needs iwlib installed.

DisabledAutomatic
with_nl80211

Wireless info support via nl80211. Required for the Wireless plugin on systems running Linux, the kernel.

DisabledAutomatic
with_mpd

MPD support. Needs libmpd installed.

DisabledAutomatic
all_extensions

Includes all optional extensions.

DisabledAutomatic
with_alsa

Use alsa-mixer to get the volume from soundcards.

DisabledAutomatic
with_datezone

Enables localized date support.

DisabledAutomatic
with_mpris

MPRIS v1, v2 support.

DisabledAutomatic
with_dbus

Publish a service on the session bus for controlling xmobar.

DisabledAutomatic
with_xpm

Enable usage of xpm for icons.

DisabledAutomatic
with_threaded

Use threaded runtime. Required for timer coalescing (less power usage).

DisabledAutomatic
with_rtsopts

Use -with-rtsopts=-V0 to reduce wakeups.

EnabledAutomatic
with_uvmeter

UVMeter only useful to australians.

DisabledAutomatic
with_weather

Enable weather plugin.

EnabledAutomatic

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info